RecordManualPaymentRequest
| Field | Type | Description |
|---|---|---|
payment_id | string | |
amount_paid | int64 | New total amount received in cents. It cannot decrease or exceed amount. |
Required scope: payment:update
Only manual payments are accepted. amountPaid is the new cumulative amount in
minor currency units; it cannot decrease or exceed the requested amount.
POST /public-api/publicapi.v1.Payment/RecordManualPayment Records the new total amount received for a manual payment. The status is derived as partially paid or paid; provider-owned statuses cannot be set.
| Field | Type | Description |
|---|---|---|
payment_id | string | |
amount_paid | int64 | New total amount received in cents. It cannot decrease or exceed amount. |
| Field | Type |
|---|---|
payment | Payment |
{ "paymentId": "<payment-id>", "amountPaid": "12500"}